<?php

/* ************************************************* *\
|* ================================================= *|
|* =       Copyright (c) 2012 Jacob Pollack.       = *|
|* ================================================= *|
|* = THIS SOFTWARE IS PRIVATE AND CANNOT BE FOUND  = *|
|* = ON THE PUBLIC DOMAIN. ANY DISTRIBUTION OR USE = *|
|* = OF THIS SOFTWARE WITHOUT THE EXPLICIT         = *|
|* = PERMISSION OF THE AUTHOR WILL RESULT IN LEGAL = *|
|* = ACTION BEING TAKEN.                           = *|
|* =                                               = *|
|* = THIS SOFTWARE IS CREATED FOR EDUCATIONAL      = *|
|* = PURPOSES ONLY. CHANGES OF ANY SORT MUST BE    = *|
|* = SUBMITTED TO THE RESPOSITORY ACCORDINGLY.     = *|
|* ================================================= *|
|* = @author    Jacob Pollack                      = *|
|* = @email     jacobpollack@jamach.com            = *|
|* = @date      05/08/2012 (DD/MM/YYYY)            = *|
|* =                                               = *|
|* = @contributors  none                           = *|
|* ================================================= *|
\*************************************************** */

/**
 * This is the arrays file. Has a bunch of methods that
 * handle array manipulation.
 * 
 * @name    Arrays
 * @author  Jacob Pollack
 */

/**
 * Pops an array 'x' amount of times.
 * 
 * @param   array   $array  The array variable to be popped.
 * @param   integer $count  The amount of times to pop the array.
 * 
 * @return  void
 */
function pop(array &$array, $count)
{
    if ($count > 0)
    {
        for ($i = 0; $i < $count; $i++)
        {
            array_pop($array);
        }
    }
    else
    {
        $this->pop($array, 1);
    }
}

?>